function plotParetoFromFile(fileOptimizationData,Xlimits,Ylimits,Zlimits)

initMXPscriptingAPI();
load(fileOptimizationData);
if ~exist('init_dataset_size','var')
    init_dataset_size = 0;
end
if ~exist('y_refdesign','var')
    y_refdesign = [];
end
if ~exist('labelObjective','var')
    labelObjective = [];
end
if ~exist('Xlimits','var')
    Xlimits = [];
end
if ~exist('Ylimits','var')
    Ylimits = [];
end
if ~exist('Zlimits','var')
    Zlimits = [];
end
if ~exist('Userdata','var')
    Userdata = [];
end
if size(X,1)~=size(Ypareto,1)
    error('Old format of the Pareto is no longer supported')
end
plotPareto(X,Ypareto,init_dataset_size,initdesignfile,motorProps,settingsMagnetostatic,designFunction,y_refdesign,labelObjective,Xlimits,Ylimits,Zlimits,Userdata)


